# =============================================
# 		Key&Say Guardian v1.3b Config
# =============================================

# Важнота!
#	Для корректной работы поместите ksg.amxx выше других плагинов,
#	работающих с чатом. Если не уверены точно - поместите его в самый верх plugins.ini.



# =============================================
# 		Immunity
# =============================================

# Ktora flaga jest wymagana aby nie byc sprawdzanym.
#	"" - wylaczone;
#	"a"; "abc".
ksg_immunity_flag "d"

# Odpornosc na przyciski auto-bindu dla graczy z steam-klienta. Najnowsze wersje klienta steam
# Wiaze przycisk nie dziala, ale gracz konsoli zatyka zaciekle. 
# Ustaw na "0", jesli nie uzywac Dproto! 
#	"0" - wyl;
#	"1" - wl.
ksg_immunity_steam "1"



# =============================================
# 		Say Guardian
# =============================================

# Wykrywanie przekazow reklamowych:
# "0" - wylaczony;
# "1" - po prostu zablokowac reklamy;
# "2" - menu z wyborem kary + bloker reklam. 
ksg_sayguard_mode "2"

# Wykrywanie nawracajacych wiadomosci, bloku i ich zapis w pliku (.. / KSG / dzienniki / ksg_repeat_messages.txt): 
#	"0" - wyl;
#	"1" - wl.
ksg_sayguard_repeat "1"

# Minimalna dlugosc komunikatu, aby zapisac je w tablicy do porownania:
# Nie dotykac, jesli nie wiesz, co to jest! 
ksg_sayguard_repeat_len "13"



# =============================================
# 		Name Guardian
# =============================================

# Wykrywanie reklamy w nicku gracza:
# "0" - wylaczony;
# "1" - kick gracza;
# "2" - menu z wyborem;
# "3" - zmuszony zmienic nick. 
ksg_nameguard_mode "1"

# Nowy nick dla gracza:
#	"[KSG] Player".
ksg_nameguard_newname "1"



# =============================================
# 		Key Guardian
# =============================================

# Wykrywanie czitow:
# "0" - wylaczony;
# "1" - powiadomienie administratora;
# "2" - powiadamianie administratora + kara. 
ksg_keyguard_enable "2"

# Po ilu nacisnieciach nastapi ukaranie gracza wciskajacego cheat-keys
#	"0" - bez ostrzezen
ksg_keyguard_warns "3"

# Czas na zakaz uzywania klawiszy oszukiwac: 
#	"0" - na zawsze
ksg_keyguard_bantime "300"

# Kara za oszustwo przy uzyciu klawiszy: 
#	%userid% - ID игрока;
#	%username% - Ник игрока;
#	%reason% - Причина;
#	%bantime% - Время бана;
#	%steamid% - Steam ID;
#	%userip% - IP игрока.
ksg_keyguard_punish "Wyrzucenie %username% za %reason%"